%global momorel 10

Summary: File-synchronization tool
Name: unison
Version: 2.13.16
Release: %{momorel}m%{?dist}
Group: Applications/File
License: GPL
URL: http://www.cis.upenn.edu/~bcpierce/unison/
Source0: http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}.tar.gz
NoSource: 0
Source1: http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}-manual.html
NoSource: 1
Source2: http://www.cis.upenn.edu/~bcpierce/unison/download/releases/stable/unison-%{version}-manual.pdf
NoSource: 2
Source3: unison.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ocaml >= 3.10.2
BuildRequires: ocaml-lablgtk-devel >= 2.10.1
BuildRequires: gtk2-devel
BuildRequires: tetex-latex
BuildRequires: desktop-file-utils
%ifarch ppc64
Requires: ocaml-runtime >= 3.10.2
Requires: ocaml-lablgtk >= 2.10.1
%endif
ExcludeArch: ppc64

%description
Unison is a file-synchronization tool. It allows two replicas of a
collection of files and directories to be stored on different hosts
(or different disks on the same host), modified separately, and then
brought up to date by propagating the changes in each replica to the
other.

%prep
%setup -q

%__cp %{SOURCE1} .
%__cp %{SOURCE2} .

%build
%ifarch ppc64
make NATIVE=false UISTYLE=gtk2
%else
make NATIVE=true UISTYLE=gtk2
%endif

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}-%{version}
(cd %{buildroot}%{_bindir}; %__ln_s %{name}-%{version} %{name})
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps

cat > unison.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=unison
Name=Unison File Synchronizer
GenericName=File Synchronizer
Comment=Replicate files over different hosts or disks
Terminal=false
Icon=unison.png
Encoding=UTF-8
StartupNotify=true
EOF

desktop-file-install --vendor= \
    --add-category Utility \
    --dir %{buildroot}%{_datadir}/applications \
    unison.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README *.html *.pdf
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.16-10m)
- rebuild against gcc43

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-9m)
- rebuild against ocaml-3.10.2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.13.16-8m)
- %%NoSource -> NoSource

* Sat Jan 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-7m)
- rebuild against ocaml-3.10.1-1m

* Sat Sep 29 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-6m)
- rebuild against ocaml-3.10.0-1m

* Wed Feb 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-5m)
- rename lablgtk to lablgtk2
         gtk+-devel to gtk2-devel
- revise %%changelog

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.13.16-4m)
- disable opt for ppc64

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.16-3m)
- remove category Application Accessories

* Tue Jul 25 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-2m)
- fix unison.desktop

* Wed Jul 12 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.13.16-1m)
- import from FC-5

* Tue Feb 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.13.16-2
- Rebuild for Fedora Extras 5

* Thu Sep  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.13.16-1
- New Version 2.13.16

* Sun Jul 31 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.12.0-0
- New Version 2.12.0

* Fri May 27 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.10.2-7
- Bump and rebuild with new ocaml and new lablgtk

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.10.2-6
- rebuild on all arches

* Mon May 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.10.2-5
- Patch: http://groups.yahoo.com/group/unison-users/message/3200

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Feb 24 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:2.10.2-2
- BR gtk2-devel
- Added NEWS and README docs

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.10.2-1
- New Version 2.10.2

* Wed Apr 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.74-0.fdr.1
- New Version 2.9.74
- Added icon

* Tue Jan 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.72-0.fdr.1
- New Version 2.9.72

* Tue Dec  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.2
- Changed Summary
- Added .desktop file

* Fri Oct 31 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.1
- First Fedora release
